Freeciv-3.1: packet_ruleset_extra Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_extra Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
int | category
bv_causes | causes
bv_rmcauses | rmcauses
char | activity_gfx [MAX_LEN_NAME]
char | act_gfx_alt [MAX_LEN_NAME]
char | act_gfx_alt2 [MAX_LEN_NAME]
char | rmact_gfx [MAX_LEN_NAME]
char | rmact_gfx_alt [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
int | rmreqs_count
struct requirement | rmreqs [MAX_NUM_REQS]
int | appearance_chance
int | appearance_reqs_count
struct requirement | appearance_reqs [MAX_NUM_REQS]
int | disappearance_chance
int | disappearance_reqs_count
struct requirement | disappearance_reqs [MAX_NUM_REQS]
int | visibility_req
bool | buildable
bool | generated
int | build_time
int | build_time_factor
int | removal_time
int | removal_time_factor
int | infracost
int | defense_bonus
enum extra_unit_seen_type | eus
bv_unit_classes | native_to
bv_extra_flags | flags
bv_extras | hidden_by
bv_extras | bridged_over
bv_extras | conflicts
char | helptext [MAX_LEN_PACKET]

## Detailed Description

Definition at line 1278 of file packets_gen.h.

## Field Documentation

## ◆ act_gfx_alt

char packet_ruleset_extra::act_gfx_alt[MAX_LEN_NAME]

Definition at line 1286 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ act_gfx_alt2

char packet_ruleset_extra::act_gfx_alt2[MAX_LEN_NAME]

Definition at line 1287 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ activity_gfx

char packet_ruleset_extra::activity_gfx[MAX_LEN_NAME]

Definition at line 1285 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ appearance_chance

int packet_ruleset_extra::appearance_chance

Definition at line 1296 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ appearance_reqs

struct requirement packet_ruleset_extra::appearance_reqs[MAX_NUM_REQS]

Definition at line 1298 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ appearance_reqs_count

int packet_ruleset_extra::appearance_reqs_count

Definition at line 1297 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ bridged_over

bv_extras packet_ruleset_extra::bridged_over

Definition at line 1315 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ build_time

int packet_ruleset_extra::build_time

Definition at line 1305 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ build_time_factor

int packet_ruleset_extra::build_time_factor

Definition at line 1306 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ buildable

bool packet_ruleset_extra::buildable

Definition at line 1303 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ category

int packet_ruleset_extra::category

Definition at line 1282 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ causes

bv_causes packet_ruleset_extra::causes

Definition at line 1283 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ conflicts

bv_extras packet_ruleset_extra::conflicts

Definition at line 1316 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ defense_bonus

int packet_ruleset_extra::defense_bonus

Definition at line 1310 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ disappearance_chance

int packet_ruleset_extra::disappearance_chance

Definition at line 1299 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ disappearance_reqs

struct requirement packet_ruleset_extra::disappearance_reqs[MAX_NUM_REQS]

Definition at line 1301 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ disappearance_reqs_count

int packet_ruleset_extra::disappearance_reqs_count

Definition at line 1300 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ eus

enum extra_unit_seen_type packet_ruleset_extra::eus

Definition at line 1311 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ flags

bv_extra_flags packet_ruleset_extra::flags

Definition at line 1313 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ generated

bool packet_ruleset_extra::generated

Definition at line 1304 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ graphic_alt

char packet_ruleset_extra::graphic_alt[MAX_LEN_NAME]

Definition at line 1291 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ graphic_str

char packet_ruleset_extra::graphic_str[MAX_LEN_NAME]

Definition at line 1290 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ helptext

char packet_ruleset_extra::helptext[MAX_LEN_PACKET]

Definition at line 1317 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ hidden_by

bv_extras packet_ruleset_extra::hidden_by

Definition at line 1314 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ id

int packet_ruleset_extra::id

Definition at line 1279 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ infracost

int packet_ruleset_extra::infracost

Definition at line 1309 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ name

char packet_ruleset_extra::name[MAX_LEN_NAME]

Definition at line 1280 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ native_to

bv_unit_classes packet_ruleset_extra::native_to

Definition at line 1312 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ removal_time

int packet_ruleset_extra::removal_time

Definition at line 1307 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ removal_time_factor

int packet_ruleset_extra::removal_time_factor

Definition at line 1308 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ reqs

struct requirement packet_ruleset_extra::reqs[MAX_NUM_REQS]

Definition at line 1293 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ reqs_count

int packet_ruleset_extra::reqs_count

Definition at line 1292 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ rmact_gfx

char packet_ruleset_extra::rmact_gfx[MAX_LEN_NAME]

Definition at line 1288 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ rmact_gfx_alt

char packet_ruleset_extra::rmact_gfx_alt[MAX_LEN_NAME]

Definition at line 1289 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ rmcauses

bv_rmcauses packet_ruleset_extra::rmcauses

Definition at line 1284 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ rmreqs

struct requirement packet_ruleset_extra::rmreqs[MAX_NUM_REQS]

Definition at line 1295 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ rmreqs_count

int packet_ruleset_extra::rmreqs_count

Definition at line 1294 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ rule_name

char packet_ruleset_extra::rule_name[MAX_LEN_NAME]

Definition at line 1281 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().

## ◆ visibility_req

int packet_ruleset_extra::visibility_req

Definition at line 1302 of file packets_gen.h.

Referenced by handle_ruleset_extra(), send_packet_ruleset_extra_100(), and send_ruleset_extras().